%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Define Article %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\documentclass{article}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Using Packages %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\usepackage{geometry}
\usepackage{graphicx}
\usepackage{amssymb}
\usepackage{amsmath}
\usepackage{amsthm}
\usepackage{empheq}
\usepackage{mdframed}
\usepackage{booktabs}
\usepackage{lipsum}
\usepackage{graphicx}
\usepackage{color}
\usepackage{psfrag}
\usepackage{pgfplots}
\usepackage{bm}
\usepackage[
    backend=biber,
    style=apa,
    sorting=nyt,
	labeldate=year
    ]{biblatex}
\usepackage{etoolbox}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Other Settings

%%%%%%%%%%%%%%%%%%%%%%%%%% Page Setting %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\geometry{a4paper}

%%%%%%%%%%%%%%%%%%%%%%%%%% Define some useful colors %%%%%%%%%%%%%%%%%%%%%%%%%%
\definecolor{ocre}{RGB}{243,102,25}
\definecolor{mygray}{RGB}{243,243,244}
\definecolor{deepGreen}{RGB}{26,111,0}
\definecolor{shallowGreen}{RGB}{235,255,255}
\definecolor{deepBlue}{RGB}{61,124,222}
\definecolor{shallowBlue}{RGB}{235,249,255}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%% Define an orangebox command %%%%%%%%%%%%%%%%%%%%%%%%
\newcommand\orangebox[1]{\fcolorbox{ocre}{mygray}{\hspace{1em}#1\hspace{1em}}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%% English Environments %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newtheoremstyle{mytheoremstyle}{3pt}{3pt}{\normalfont}{0cm}{\rmfamily\bfseries}{}{1em}{{\color{black}\thmname{#1}~\thmnumber{#2}}\thmnote{\,--\,#3}}
\newtheoremstyle{myproblemstyle}{3pt}{3pt}{\normalfont}{0cm}{\rmfamily\bfseries}{}{1em}{{\color{black}\thmname{#1}~\thmnumber{#2}}\thmnote{\,--\,#3}}
\theoremstyle{mytheoremstyle}
\newmdtheoremenv[linewidth=1pt,backgroundcolor=shallowGreen,linecolor=deepGreen,leftmargin=0pt,innerleftmargin=20pt,innerrightmargin=20pt,]{theorem}{Theorem}[section]
\theoremstyle{mytheoremstyle}
\newmdtheoremenv[linewidth=1pt,backgroundcolor=shallowBlue,linecolor=deepBlue,leftmargin=0pt,innerleftmargin=20pt,innerrightmargin=20pt,]{definition}{Definition}[section]
\theoremstyle{myproblemstyle}
\newmdtheoremenv[linecolor=black,leftmargin=0pt,innerleftmargin=10pt,innerrightmargin=10pt,]{problem}{Problem}[section]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Plotting Settings %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\usepgfplotslibrary{colorbrewer}
\pgfplotsset{width=8cm,compat=1.9}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%% Bibliology
\addbibresource[location=remote]{http://127.0.0.1:23119/better-bibtex/export/collection?/1/2022-PhD.biblatex}
\addbibresource{local.bib}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Title & Author %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\title{Research Proposal}
\author{Dong Huang\\
\emph{PhD student, Department of Computer Science
}
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\begin{document}
\maketitle

The below outlines are from the graduate school's website:

\begin{quote}\itshape
	
	The full research plan should contain:
	
	\begin{itemize}
		\item Working title
		\item Outline of significance of topic (e.g. its importance for advancing knowledge in the field/discipline or regions and/or implications for methodology or understanding)
		\item Literature review in a form consistent with practices of the discipline
		\item Statement of the research questions or hypotheses
		\item Description of methodology; The methodologies that will be used to investigate the questions or hypotheses
		\item How the data will be analysed; or Description and analysis of the method(s);
	\item (Optional) Thesis outline
	\item Any resource requirements
	\item (Optional) Timetable for research and thesis writing, including dates when key objectives should be met
	\item (Optional) A statement concerning the requirement for any ethical approvals and a copy of that approval having been granted by the Faculty/School
\end{itemize}

\end{quote}

Discussion about backpropagation:~\autocite{lillicrapBackpropagationBrain2020}{}


\section{Working title}
The proposed research work will be under the following title: \emph{Metrics of Computational Efficiency in Neural Networks}.

\section{Aims and Significance}

The major aim of the research is to establish a metric, or a set of metrics, that can be used in evaluating the computational efficiency of neural network architectures, taking the combination of neural network algorithms and its hardware implementations as a whole into account.

Computational efficiency is one of the central objectives in computational complexity theory~\autocite{aroraComputationalComplexityModern2009,sipserIntroductionTheoryComputation1997}, and the research outcomes over decades have deep and fundamental impacts on computer science academia and industry.
There are also non-stopping attempts 

\section{Literature Review}

%
% Outlines of literature review:
%
% * Computational complexity theory
%   - hardness of problems (languages) and re
% 	- upper bounds, P, NP, NP-complete classes
%	- lower bounds, circuit complexity and communication complexity
%   - complexity of approximated solutions: the PCP (probabilistic checking proof) theory
% * Computational learning theory
% 	- Vapnik-Chervonenkis theory
% 	- PAC learning
% * Algorithmic information theory
% 	- Kolmogorov Complexity
% * Recent models
% 	- Neural tangent kernel
% 	- Trajectory length
% 	- 



There has been a rich body of literature in computational complexity theory~\autocite{aroraComputationalComplexityModern2009,sipserIntroductionTheoryComputation1997}.
Since the introduction of Turing Machine~\autocite{turing1936computable},
The conventional complexity class \textbf{P} is defined at the worst-case time of all possible inputs, which is often too pessimistic for real-world applications.
% Arora & Barak's book: Chapter 18 Average case complexity: Levin's theory.
Some researchers turn to seek for the measurements for average cases, especially for those problems in \textbf{NP}-hard class\autocite{levinAverageCaseComplete1986}.
Dealing with hard problems is particularly necessary in the applications of neural networks, as the training of deep neural networks is proven to be \textbf{NP}-complete~\autocite{blumTraining3nodeNeural1992}.
% Arora & Barak's book: Chapter 11: PCP theorem
Researchers also studied on the difficulty of approximations instead of exact solutions to problems, but the discovery of PCP theory~\autocite{aroraProbabilisticCheckingProofs1998}


\section{Research Questions}

% We will have a brief review

The research question can be formalised as below:
Given a problem \(\mathcal{P}\), whose definition is:

	\paragraph*{$\mathcal{P}$:} Given a criterion $\mathcal{C}$, find $\lbrace0, 1\rbrace^* \to f$, where $f: \lbrace0, 1\rbrace^* \to \mathbb{R}$

is there a lower-bound of computational steps for the following two derived problems, respectively:

\paragraph*{$\mathcal{T(P)}$ (training problem):}

\paragraph*{$\mathcal{I(P)}$ (inference problem):} blah

and what the lower bounds could possibly be, no matter tight or not.

Compared to the definition of problems, or \textit{languages}, in traditional computational complexity theory, which is

\[\mathcal{L}_f = \lbrace x \in {\lbrace 0, 1 \rbrace}^* ~\mathrm{s.t.}~ f(x) = 1 \rbrace 
\]

where
\[
	f: {\lbrace 0, 1 \rbrace}^* \to \lbrace 0, 1 \rbrace\]
haha

\section{Methods}

\section{Resources}

\section{Ethics}


\printbibliography

\end{document}